#include <QApplication>
#include <QQuickView>
#include <QQmlContext>
#include <QFontDatabase>
#include <QScreen>
#include <QDebug>

void debugMessageHandler(QtMsgType type, const QMessageLogContext &context, const QString &msg)
{
    Q_UNUSED(context)
    Q_UNUSED(type)

    QByteArray localMsg = msg.toLocal8Bit();
    //if (type >= QtSystemMsg)
    {
        fprintf(stderr, "%s\n", localMsg.constData());
        fflush(stderr);
    }
}

int main(int argc, char *argv[])
{
    QCoreApplication::setAttribute( Qt::AA_EnableHighDpiScaling);
    QApplication app(argc, argv);

    qInstallMessageHandler(debugMessageHandler);

    QQuickView view;

    qreal m_pixelDensity = view.screen()->physicalDotsPerInch() *  0.039370;
    qDebug() << "Pixel density:" << m_pixelDensity;
    view.rootContext()->setContextProperty("screenPixelDensity", m_pixelDensity);

    view.resize(800, 600);
    view.setSource(QUrl(QLatin1String("qrc:/MainView.qml")));
    view.showMaximized();

    return app.exec();
}
